Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045030
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2020-09-10 23:432020-09-18 11:26
ReporterlbressanView Statuspublic 
Assigned Toinigo_lerga 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0045030: Two confirmations on goods receipt task generate two different attributesetinstances.

DescriptionWhen performing two confirmations on the goods receipt task from the mobile application, they generate two different attribute instances when it really is a single instance, there is no way for it to take an attribute instance

The expected behavior is not being received when receiving merchandise, affecting stock, picking, etc.

Expected behavior:
Same lot nr should reuse an allready existing attributeset with the same values. Since we are working with a mobile device and there are different lots received of the same article, the operator can not know in advance the total qty for a lot: he will enter confirmed qty for lot1 on first pallet - then confirm qty for lotx on second pallet and after x confirmations of different lots and different products stumble upon a second pallet for lot1
Steps To Reproduce1. attribute set with lot and expiration date should exist (and in our case with one additional free text attribute that is called temperature)
2. do a goods receipt of 1 PO for 100 quantities of this product on the mobile app (total qty on the po is 200) set lot to 'x' and expiration date to today
3. confirm the goods receipt on the mobile app and choose as delta 'Same'
4. do a goods receipt and confirm it on different items
5. do a goods receipt and confirm it for the remaining qty of the first item, use the same information for the attributes
6. see that the system created two different lines with two different attributesets for this item
7. there is no way in the mobile app to select an existing attributeset
TagsNo tags attached.
Attached Filespatch file icon 0001-Fixed-ISSUE-45030-Delta-SAME-expected-attribute-orig.patch [^] (2,573 bytes) 2020-09-17 08:29 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123165)
hgbot (developer)
2020-09-17 16:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/6 [^]
(0123202)
hgbot (developer)
2020-09-18 11:26

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 445e96b293a6216f4604ee296a2a77f616ae6522
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2020-09-17T09:40:10+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/445e96b293a6216f4604ee296a2a77f616ae6522 [^]

Fixed ISSUE-45030: Delta SAME expected attribute = original task confirmed one

In the case of a Delta SAME we need to make sure the delta task uses exactly the same attribute
that was confirmed in the original task. This is specially useful in receptions where the stock
and attribute are initialized, for other scenarios the change is totally transparent.

This change can't be done when the original task is involved in a swap storage detail, as the internal
swapping process uses the expected/confirmed attributes in a special way.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/DeltaManagerSame.java
---
(0123203)
hgbot (developer)
2020-09-18 11:26

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: bdcf73c4e4509dafb17be6a109197268642a1e3c
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-17T15:48:20+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/bdcf73c4e4509dafb17be6a109197268642a1e3c [^]

related to ISSUE-45030: Added JUnit Test for patch

JUnit test added for the Purchase Order flow with product
with attribute and using delta SAME while
splitting in multiple tasks

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOd_AWOFunctionalFlowsWithAttribute.java
---
(0123204)
hgbot (developer)
2020-09-18 11:26

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 8e3870e3753fa10174b8727d542e3e49a9a68271
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-18T10:35:29+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/8e3870e3753fa10174b8727d542e3e49a9a68271 [^]

related to ISSUE-45030: Code Review Applied

Corrections applied:
- Use AWOTestUtils and Utilities methods
- Simplify code erasing unnecessary functions
- Messages of asserts clarified
- Erased unnecessary flushes and refreshes

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOd_AWOFunctionalFlowsWithAttribute.java
---
(0123205)
hgbot (developer)
2020-09-18 11:26

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/6 [^]

- Issue History
Date Modified Username Field Change
2020-09-10 23:43 lbressan New Issue
2020-09-10 23:43 lbressan Assigned To => Retail
2020-09-10 23:43 lbressan Triggers an Emergency Pack => No
2020-09-15 17:23 vmromanos Project Retail Modules => Modules
2020-09-15 17:44 vmromanos Category Mobile Warehouse picking => Advance Warehouse Operations
2020-09-17 07:53 vmromanos Status new => scheduled
2020-09-17 07:53 vmromanos Assigned To Retail => inigo_lerga
2020-09-17 08:29 vmromanos File Added: 0001-Fixed-ISSUE-45030-Delta-SAME-expected-attribute-orig.patch
2020-09-17 16:07 hgbot Note Added: 0123165
2020-09-18 11:26 hgbot Resolution open => fixed
2020-09-18 11:26 hgbot Status scheduled => closed
2020-09-18 11:26 hgbot Note Added: 0123202
2020-09-18 11:26 hgbot Note Added: 0123203
2020-09-18 11:26 hgbot Note Added: 0123204
2020-09-18 11:26 hgbot Note Added: 0123205


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker